package de.tu_dresden.diplom.richter_mirko_mat2628335.common.listener.event;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.digestAgreement.IFDigestAgreementRequest;

/**
 * 
 */
public interface IFDigestAgreementInitiatedEvent extends IFDigestAgreementEvent{

   public int getPhase();
   public String getContextId();

   public IFDigestAgreementRequest getDigAgreeRequest();

   public String getCommunicationNonce();

}
